## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLSerializeFunction

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionFunction

    public interface XMLSerializeFunction

extends ValueExpressionFunction

A representation of the model object 'XML Serialize Function'.

The following features are supported:

- `Content Option`
- `Serialize Version`
- `Declaration Option`
- `Serialize Target`
- `Serialize Encoding`

See Also:
  `SQLXMLQueryModelPackage.getXMLSerializeFunction()`

Method Summary
`XMLContentType` `getContentOption()` Returns the value of the 'Content Option' attribute.
`XMLDeclarationType` `getDeclarationOption()` Returns the value of the 'Declaration Option' attribute.
`XMLSerializeFunctionEncoding` `getSerializeEncoding()` Returns the value of the 'Serialize Encoding' containment reference.
`XMLSerializeFunctionTarget` `getSerializeTarget()` Returns the value of the 'Serialize Target' containment reference.
`java.lang.String` `getSerializeVersion()` Returns the value of the 'Serialize Version' attribute.
`void` `setContentOption(XMLContentType value)` Sets the value of the '`Content Option`' attribute.
`void` `setDeclarationOption(XMLDeclarationType value)` Sets the value of the '`Declaration Option`' attribute.
`void` `setSerializeEncoding(XMLSerializeFunctionEncoding value)` Sets the value of the '`Serialize Encoding`' containment reference.
`void` `setSerializeTarget(XMLSerializeFunctionTarget value)` Sets the value of the '`Serialize Target`' containment reference.
`void` `setSerializeVersion(java.lang.String value)` Sets the value of the '`Serialize Version`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getCallStatement, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getTableFunction, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValueExprRow, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setCallStatement, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setTableFunction, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValueExprRow, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getContentOption

    XMLContentType getContentOption()

  Returns the value of the 'Content Option' attribute. The literals are from the enumeration `XMLContentType`.

  If the meaning of the 'Content Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Option' attribute.
  See Also:
    `XMLContentType`, `setContentOption(XMLContentType)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_ContentOption()`

### setContentOption

    void setContentOption(XMLContentType value)

  Sets the value of the '`Content Option`' attribute.

  Parameters:
    `value` - the new value of the 'Content Option' attribute.
  See Also:
    `XMLContentType`, `getContentOption()`

### getSerializeVersion

    java.lang.String getSerializeVersion()

  Returns the value of the 'Serialize Version' attribute.

  If the meaning of the 'Serialize Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Serialize Version' attribute.
  See Also:
    `setSerializeVersion(String)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_SerializeVersion()`

### setSerializeVersion

    void setSerializeVersion(java.lang.String value)

  Sets the value of the '`Serialize Version`' attribute.

  Parameters:
    `value` - the new value of the 'Serialize Version' attribute.
  See Also:
    `getSerializeVersion()`

### getDeclarationOption

    XMLDeclarationType getDeclarationOption()

  Returns the value of the 'Declaration Option' attribute. The literals are from the enumeration `XMLDeclarationType`.

  If the meaning of the 'Declaration Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Declaration Option' attribute.
  See Also:
    `XMLDeclarationType`, `setDeclarationOption(XMLDeclarationType)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_DeclarationOption()`

### setDeclarationOption

    void setDeclarationOption(XMLDeclarationType value)

  Sets the value of the '`Declaration Option`' attribute.

  Parameters:
    `value` - the new value of the 'Declaration Option' attribute.
  See Also:
    `XMLDeclarationType`, `getDeclarationOption()`

### getSerializeTarget

    XMLSerializeFunctionTarget getSerializeTarget()

  Returns the value of the 'Serialize Target' containment reference. It is bidirectional and its opposite is '`Serialize Function`'.

  If the meaning of the 'Serialize Target' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Serialize Target' containment reference.
  See Also:
    `setSerializeTarget(XMLSerializeFunctionTarget)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_SerializeTarget()`, `XMLSerializeFunctionTarget.getSerializeFunction()`

### setSerializeTarget

    void setSerializeTarget(XMLSerializeFunctionTarget value)

  Sets the value of the '`Serialize Target`' containment reference.

  Parameters:
    `value` - the new value of the 'Serialize Target' containment reference.
  See Also:
    `getSerializeTarget()`

### getSerializeEncoding

    XMLSerializeFunctionEncoding getSerializeEncoding()

  Returns the value of the 'Serialize Encoding' containment reference.

  If the meaning of the 'Serialize Encoding' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Serialize Encoding' containment reference.
  See Also:
    `setSerializeEncoding(XMLSerializeFunctionEncoding)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_SerializeEncoding()`

### setSerializeEncoding

    void setSerializeEncoding(XMLSerializeFunctionEncoding value)

  Sets the value of the '`Serialize Encoding`' containment reference.

  Parameters:
    `value` - the new value of the 'Serialize Encoding' containment reference.
  See Also:
    `getSerializeEncoding()`